> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pontua.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Busca dados completos de uma exportação de folha de pagamento



## OpenAPI

````yaml https://api.pre.pontua.tech/api/public/doc-json get /payment-sheet/export-layout/{paymentSheetExportLayoutId}
openapi: 3.0.0
info:
  title: Pontua Public API
  description: >-
    API oficial da Pontua para integrações de clientes externos. Autentique com
    o token gerado no dashboard em **Configurações → API**. Envie o token no
    header `Authorization: Bearer <SEU_TOKEN>`.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payment-sheet/export-layout/{paymentSheetExportLayoutId}:
    get:
      tags:
        - Payment Sheet
      summary: Busca dados completos de uma exportação de folha de pagamento
      operationId: PaymentSheetExportLayoutController_getById
      parameters:
        - name: paymentSheetExportLayoutId
          required: true
          in: path
          description: Id do layout de exportação de folha de pagamento
          schema:
            example: a2f2cbed-e141-465c-a769-f1591be5f35c
            type: string
      responses:
        '200':
          description: Layout de exportação de folha de pagamento
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSheetExportLayoutDto'
        default:
          description: "\n\t\t\t400 - Bad Request: A solicitação não está no formato correto.\n\t\t\t401 - Unauthorized: A solicitação não foi autorizada. Verifique se o token de acesso é válido.\n\t\t\t403 - Forbidden: Acesso proibido! Requer um nível de permissão mais elevado.\n\t\t\t404 - Not Found: O recurso solicitado não foi encontrado.\n\t\t\t500 - Internal Server Error: Erro de execução no servidor!\n\t\t\t"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    PaymentSheetExportLayoutDto:
      type: object
      properties:
        id:
          type: string
          description: Id do layout de exportação de folha de pagamento
          example: 123-abc
        code:
          type: number
          description: Código do layout de exportação de folha de pagamento
          example: 7
        source:
          type: string
          description: Nome da fonte do layout de exportação de folha de pagamento
          example: Domínio
        description:
          type: string
          description: Descrição do layout de exportação de folha de pagamento
          example: Layout Tron
        referenceType:
          type: string
          description: >-
            Tipo de referência (valor de evento) do layout de exportação de
            folha de pagamento
          enum:
            - VALUE
            - QUANTITY
          default: VALUE
        companyStartPosition:
          type: number
          description: Posição inicial do identificador da empresa
          example: 1
        companySize:
          type: number
          description: Tamanho do identificador da empresa
          example: 10
        employeeStartPosition:
          type: number
          description: Posição inicial do identificador do empregado
          example: 15
        employeeSize:
          type: number
          description: Tamanho do identificador do empregado
          example: 10
        eventStartPosition:
          type: number
          description: Posição inicial do indicador do evento
          example: 30
        eventSize:
          type: number
          description: Tamanho do indicador do evento
          example: 10
        referenceStartPosition:
          type: number
          description: Posição inicial do identificador da referência (valor do evento)
          example: 45
        referenceSize:
          type: number
          description: Tamanho do identificador da referência (valor do evento)
          example: 7
        dateStartPosition:
          type: number
          description: Posição inicial do identificador de eventos de data
          example: 60
        dateSize:
          type: number
          description: Tamanho do identificador de eventos de data
          example: 8
        dateMustBreakLine:
          type: boolean
          description: >-
            Indica se referências de data serão registrados em linhas
            subsequentes, junto com o tipo de processo, se houver
          example: false
        competenceStartPosition:
          type: number
          description: Posição inicial da competência (MMAAAA)
          example: 70
        competenceSize:
          type: number
          description: Tamanho da competência (MMAAAA)
          example: 6
        processTypeStartPosition:
          type: number
          description: Posição inicial do tipo de processo
          example: 80
        processTypeSize:
          type: number
          description: Tamanho do tipo de processo
          example: 2
        processTypeDefaultValue:
          type: string
          description: Valor padrão do tipo de processo
          example: '11'
        sequenceStartPosition:
          type: number
          description: Posição inicial do número sequencial da linha
          example: 90
        sequenceSize:
          type: number
          description: Tamanho do número sequencial da linha
          example: 6
        startDateStartPosition:
          type: number
          description: Posição inicial da data inicial (DDMMAA)
          example: 100
        startDateSize:
          type: number
          description: Tamanho da data inicial (DDMMAA)
          example: 6
        endDateStartPosition:
          type: number
          description: Posição inicial da data final (DDMMAA)
          example: 110
        endDateSize:
          type: number
          description: Tamanho da data final (DDMMAA)
          example: 6
        fixedValueStartPosition:
          type: number
          description: Posição inicial do valor fixo
          example: 120
        fixedValueSize:
          type: number
          description: Tamanho do valor fixo
          example: 2
        fixedValue:
          type: string
          description: Valor fixo padrão
          example: '10'
        canUpdate:
          type: boolean
          description: Indica se o layout pode ser alterado ou excluído
          example: true
        createdAt:
          format: date-time
          type: string
          description: Data de criação do layout
          example: '2025-03-02T00:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          description: Data de atualização do layout
          example: '2025-03-02T00:00:00.000Z'
        events:
          description: Lista de valores customizados por eventos específicos
          type: array
          items:
            $ref: '#/components/schemas/SavePaymentSheetExportLayoutEventDto'
      required:
        - id
        - code
        - source
        - description
        - referenceType
        - companyStartPosition
        - companySize
        - employeeStartPosition
        - employeeSize
        - eventStartPosition
        - eventSize
        - referenceStartPosition
        - referenceSize
        - canUpdate
        - createdAt
        - updatedAt
    ErrorDto:
      type: object
      properties:
        service:
          type: string
          description: Rota solicitada
        method:
          type: string
          description: Método http
        message:
          description: Mensagem do erro
          oneOf:
            - type: string
              example: message erro
            - type: array
              items:
                type: string
                example:
                  - erro 1
                  - erro 2
      required:
        - service
        - method
        - message
    SavePaymentSheetExportLayoutEventDto:
      type: object
      properties:
        id:
          type: string
          description: Id do valor customizado por evento no layout
          example: 123-abc
        systemEvent:
          type: string
          description: Evento no sistema da Pontua
          enum:
            - CT_FULL_SETTLEMENT
            - CT_SETTLEMENT_WITH_LIMIT
            - CT_INDIVIDUAL_SETTLEMENT
            - CT_BALANCE_TRANSFER
            - CT_BALANCE_ENTRY
            - CT_POSITIVE_BALANCE
            - CT_NEGATIVE_BALANCE
            - OT_STANDARD_100_PERCENT
            - OT_STANDARD_50_PERCENT
            - OT_NIGHT
            - OT_DAY_OFF
            - OT_HOLIDAY
            - OT_CUSTOM_PHASE_ONE
            - OT_CUSTOM_PHASE_TWO
            - OT_ADVANCED
            - OT_INTERVAL_COMPENSATED
            - OT_INTRAJOURNEY
            - OT_INTERJOURNEY
            - ABSENCE_DAYS
            - ABSENCE_HOURS
            - ABSENCE_DATES
            - HALF_ABSENCE_DAYS
            - HALF_ABSENCE_HOURS
            - HALF_ABSENCE_DATES
            - VACATION_DAYS
            - LEAVE_DAYS
            - SCHEDULE_ADJUSTMENT_DAYS
            - ALLOWANCE_DAYS
            - DISCOUNTED_ALLOWANCE_DAYS
            - CERTIFICATE_DAYS
            - SUSPENSION_DAYS
            - CERTIFICATE_DATES
            - HOLIDAYS_AT_WORK
            - HOLIDAY_HOURS_AT_WORK
            - DELAYS_AND_ANTICIPATIONS
            - TOTAL_WORKED_HOURS
            - TOTAL_NEGATIVE_HOURS
            - TOTAL_POSITIVE_HOURS
            - NIGHT_DIFFERENTIAL
          default: ABSENCE_DATES
        fixedValue:
          type: string
          description: Valor fixo
          example: '10'
        processTypeValue:
          type: string
          description: Valor do tipo de processo
          example: '11'
      required:
        - id
        - systemEvent

````